<?php
// Defininig the two constants
define("SITE_NAME", "UW-Milwaukee Forum");
define("MAX_USERS", 250);

// Displaying the constants in PHP
echo "<h1>Welcome to " . SITE_NAME . "</h1>";
echo "<p>The maximum number of users allowed on " . SITE_NAME . " is " . MAX_USERS . ".</p>";
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Understanding Constants in PHP</title>
</head>
<body>
    <h2>Definition of Constants?</h2>
    <p>Constants are simply identifiers attached to a certain value. Constants cannot be changed when the script is running.</p>
    <p> In my example above, the constant remains the same while the script is running. Here it would be the number of visitors on my site.</p>
    <p>Here are a couple of examples:</p>
    <ul>
        <li><strong>SITE_NAME</strong>: The name of the website ("UW-Milwaukee Forum"). This is a constant as it won't change whatsoever while the page is running. I would have to edit the script for it to change.</li>
        <li><strong>MAX_USERS</strong>: The maximum number of users allowed on the site (250). Again, this value will not change, so it is defined as a constant.</li>
    </ul>
    
    <h2>Difference between Constants and Variables</h2>
    
    <ul>
        <li>Constants cannot be changed once they are set, while variables can have their values be redefined.</li>
        <li>Constants are mostly written in numbers while variables use symbols and letters.</li>
    </ul>
</body>
</html>
