<?php
// predefined.php

// Example 1: Using $_SERVER['SERVER_NAME'] (predefined variable)
$server_name = $_SERVER['SERVER_NAME'];  // This returns the name of the server (e.g., localhost, or example.com)

// Example 2: Using $_GET['page'] (predefined variable, assuming a query parameter)
$page = isset($_GET['page']) ? $_GET['page'] : 'Home';  // Retrieves the value of 'page' from the URL query string, or 'Home' if not set

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Predefined PHP Variables Example</title>
</head>
<body>
    <h1>PHP Predefined Variables</h1>

    <p><strong>Example 1: Server Name</strong></p>
    <p>Current server name: <?php echo $server_name; ?></p>

    <p><strong>Example 2: Page Query Parameter</strong></p>
    <p>The page you requested: <?php echo $page; ?></p>

    <h2>What are Predefined Variables in PHP?</h2>
    <p>These variables display information about the server and the overall environment that is being used. They are not coded by users and are automatically set in PHP.</p>
    
</body>
</html>
